Bug 533899 - (activemq-cpp) Review Request: activemq-cpp - C++ implementation of JMS-like messaging client
Review Request: activemq-cpp - C++ implementation of JMS-like messaging client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 538172
  Show dependency treegraph
 
Reported: 2009-11-09 12:10 EST by Steve Traylen
Modified: 2010-01-07 16:56 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-07 16:44:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mattias.ellert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2009-11-09 12:10:09 EST
Spec URL: http://cern.ch/straylen/rpms/activemq-cpp/activemq-cpp.spec
SRPM URL: http://cern.ch/straylen/rpms/activemq-cpp/activemq-cpp-2.2.6-2.fc12.src.rpm

Description: 
activemq-cpp is a JMS-like API for C++ for interfacing with Message 
Brokers such as Apache ActiveMQ.  C++ messaging service helps to make your 
C++ client code much neater and easier to follow. To get a better feel for 
CMS try the API Reference. 
ActiveMQ-CPP is a client only library, a message broker such as Apache 
ActiveMQ is still needed for your clients to communicate.
Comment 1 Steve Traylen 2009-11-09 18:42:09 EST
Sorry make a mistake, new packages:

Spec URL: http://cern.ch/straylen/rpms/activemq-cpp/activemq-cpp.spec
SRPM URL:
http://cern.ch/straylen/rpms/activemq-cpp/activemq-cpp-2.2.6-3.fc12.src.rpm
Comment 2 Steve Traylen 2009-11-17 01:39:40 EST
Am more happy with these after trying to build something else on top.

http://cern.ch/straylen/rpms/activemq-cpp/activemq-cpp-2.2.6-4.fc12.src.rpm
http://cern.ch/straylen/rpms/activemq-cpp/activemq-cpp.spec
Comment 3 Mattias Ellert 2009-12-11 08:44:19 EST
The pkgconfig file contains -luuid, but the libuuid-devel/e2fsprogs-devel is not listed as a Requires in the activemq-cpp-devel subpackage, so when I try to build the pyactivemq (bug #538172) that fails with "/usr/bin/ld: cannot find -luuid".
Comment 4 Steve Traylen 2009-12-11 10:46:20 EST
Thanks, responding to comment #3 I've now built pyactivemq in a fresh build
root rather than the one I used for activemq-cpp. Something I will now
do routinely.

Updated packages:

http://straylen.web.cern.ch/straylen/rpms/activemq-cpp/activemq-cpp.spec
http://straylen.web.cern.ch/straylen/rpms/activemq-cpp/activemq-cpp-2.2.6-5.fc13.src.rpm
Comment 5 Mattias Ellert 2009-12-11 16:43:55 EST
Fedora review - activemq-cpp - 2009-12-11

rpmlint:

$ rpmlint activemq-cpp/*.rpm
activemq-cpp-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ Package name follows naming guidelines
+ Specfile is named accordingly
+ The package's license "ASL 2.0" is a Fedora approved license
+ The package's license matches the license of the sources
+ The LICENSE.txt file is included as %doc
+ Specfile is written in legible English
+ Package builds in mock (Fedora 12)
+ Source matches upstream:

$ md5sum activemq-cpp-2.2.6-src.tar.gz src/activemq-cpp-2.2.6-src.tar.gz 
1222f0d6c5f86ef3ed5a558a533c7564  activemq-cpp-2.2.6-src.tar.gz
1222f0d6c5f86ef3ed5a558a533c7564  src/activemq-cpp-2.2.6-src.tar.gz

+ Build dependencies are sufficient
+ Package calls ldconfig appropriately
+ No bundled system libraries
+ Package owns directories it creates
+ No duplicate files
+ File permissions are sane and %files have %defattr
+ %clean clears buildroot
+ Specfile uses macros consistently
+ %doc is not runtime essential
+ headers in devel package
+ no static libraries
+ devel depends on pkgconfig
+ devel depends on main with a fully qualified version
+ No libtool archive files
+ Package does not own others' files
+ %install clears buildroot
+ Installed filenames are UTF-8

Package approved.
Comment 6 Steve Traylen 2009-12-11 17:06:45 EST
New Package CVS Request
=======================
Package Name: activemq-cpp
Short Description: C++ implementation of JMS-like messaging client
Owners: stevetraylen
Branches: F-11 F-12
InitialCC: baz
Comment 7 Steve Traylen 2009-12-11 17:07:52 EST
Correction to CVS Request:

New Package CVS Request
=======================
Package Name: activemq-cpp
Short Description: C++ implementation of JMS-like messaging client
Owners: stevetraylen
Branches: F-11 F-12
Comment 8 Kevin Fenzi 2009-12-14 12:28:13 EST
cvs done.
Comment 9 Fedora Update System 2009-12-15 10:56:57 EST
activemq-cpp-3.0.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/activemq-cpp-3.0.1-1.fc11
Comment 10 Fedora Update System 2009-12-15 10:57:29 EST
activemq-cpp-3.0.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/activemq-cpp-3.0.1-1.fc12
Comment 11 Fedora Update System 2009-12-17 23:31:21 EST
activemq-cpp-3.0.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update activemq-cpp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13332
Comment 12 Fedora Update System 2009-12-17 23:46:09 EST
activemq-cpp-3.0.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update activemq-cpp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13394
Comment 13 Fedora Update System 2010-01-07 16:44:47 EST
activemq-cpp-3.0.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-01-07 16:56:14 EST
activemq-cpp-3.0.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.